xine-lib: xine-lib-1.2.12/src/demuxers/demux_yuv_frames.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
demux_yuv_frames.c File Reference
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "group_video.h"`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/demux.h>`

## Data Structures
struct | demux_yuv_frames_s

## Macros
#define | LOG_MODULE "demux_yuv_frames"
#define | LOG_VERBOSE
#define | WRAP_THRESHOLD 20000

## Typedefs
typedef struct demux_yuv_frames_s | demux_yuv_frames_t

## Functions
static int | demux_yuv_frames_get_status (demux_plugin_t *this_gen)
static int | switch_buf (demux_yuv_frames_t *this, buf_element_t *buf)
static int | demux_yuv_frames_send_chunk (demux_plugin_t *this_gen)
static void | demux_yuv_frames_send_headers (demux_plugin_t *this_gen)
static int | demux_yuv_frames_seek (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
static int | demux_yuv_frames_get_stream_length (demux_plugin_t *this_gen)
static uint32_t | demux_yuv_frames_get_capabilities (demux_plugin_t *this_gen)
static int | demux_yuv_frames_get_optional_data (demux_plugin_t *this_gen, void *data, int data_type)
static demux_plugin_t * | open_plugin (demux_class_t *class_gen, xine_stream_t *stream, input_plugin_t *input)
void * | demux_yuv_frames_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "demux_yuv_frames"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ WRAP_THRESHOLD

#define WRAP_THRESHOLD 20000

## Typedef Documentation

## ◆ demux_yuv_frames_t

typedef struct demux_yuv_frames_s demux_yuv_frames_t

## Function Documentation

## ◆ demux_yuv_frames_get_capabilities()

static uint32_t demux_yuv_frames_get_capabilities | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_CAP_NOCAP.

Referenced by open_plugin().

## ◆ demux_yuv_frames_get_optional_data()

static int demux_yuv_frames_get_optional_data | ( | demux_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type
| ) |  |
| static

References DEMUX_OPTIONAL_UNSUPPORTED.

Referenced by open_plugin().

## ◆ demux_yuv_frames_get_status()

static int demux_yuv_frames_get_status | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_yuv_frames_get_stream_length()

static int demux_yuv_frames_get_stream_length | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_yuv_frames_init_class()

void * demux_yuv_frames_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and demux_class_s::open_plugin.

## ◆ demux_yuv_frames_seek()

static int demux_yuv_frames_seek | ( | demux_plugin_t * | this_gen,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing
| ) |  |
| static

Referenced by open_plugin().

## ◆ demux_yuv_frames_send_chunk()

static int demux_yuv_frames_send_chunk | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_stream_info_get(), input(), switch_buf(), and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by open_plugin().

## ◆ demux_yuv_frames_send_headers()

static void demux_yuv_frames_send_headers | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_control_start(), _x_stream_info_get(), DEMUX_FINISHED, DEMUX_OK, input(), XINE_STREAM_INFO_HAS_AUDIO, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by open_plugin().

## ◆ open_plugin()

static demux_plugin_t * open_plugin | ( | demux_class_t * | class_gen,
|  | xine_stream_t * | stream,
|  | input_plugin_t * | input
| ) |  |
| static

References xine_stream_s::content_detection_method, default_demux_plugin_dispose, DEMUX_FINISHED, demux_yuv_frames_get_capabilities(), demux_yuv_frames_get_optional_data(), demux_yuv_frames_get_status(), demux_yuv_frames_get_stream_length(), demux_yuv_frames_seek(), demux_yuv_frames_send_chunk(), demux_yuv_frames_send_headers(), input(), lprintf, METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, and NULL.

Referenced by demux_yuv_frames_init_class().

## ◆ switch_buf()

static int switch_buf | ( | demux_yuv_frames_t * | this,
|  | buf_element_t * | buf
| ) |  |
| static

References _x_demux_control_newpts(), _x_stream_info_get(), BUF_AUDIO_LPCM_LE, BUF_FLAG_SEEK, BUF_VIDEO_I420, BUF_VIDEO_YUY2, buf_element_s::free_buffer, lprintf, buf_element_s::pts, buf_element_s::type, WRAP_THRESHOLD, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by demux_yuv_frames_send_chunk().